
# Markdown to HTML Converter

This project pulls together a number of other projects, along with some custom extensions, to provide rendering to HTML for a custom, extended version of Markdown.

These are the primary projects used to render various types of content:

- [Marked](https://marked.js.org/)
- [Prism.js](https://prismjs.com/)
- [Vega](https://vega.github.io/vega/)
- [nomnoml](https://www.nomnoml.com/)
- [bytefield-svg](https://bytefield-svg.deepsymmetry.org/bytefield-svg/1.6.1/intro.html)
- [Katex](https://katex.org/)
- [Pikchr](https://pikchr.org/home/doc/trunk/homepage.md)
- [node-qrcode](https://github.com/soldair/node-qrcode)



## Building from source

```bash
npm run tsc
```



## Programatic Use

```ts
import { MarkdownOptions, MarkdownExtension, render_markdown_to_html } from './build';

async function main() {
  const opts: MarkdownOptions = {
    // ...
  };

  const html = await render_markdown_to_html('# This is some markdown', opts);
}
```



## Command Line Use

```bash
echo '# This is some markdown' | ./bin/markdown2html [...options] > output.html
```

